﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v14.2, Version=14.2.20142.2317, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager" runat="server"></asp:ScriptManager>
            <ig:WebDataGrid ID="WebDataGrid" runat="server" Height="700" Width="60%"
                AutoGenerateColumns="False" DataSourceID="SqlDataSource" EnableAjax="False"
                HeaderCaptionCssClass="HeaderCaptionClass"
                ItemCssClass="borderClass" AltItemCssClass="AlternateItemClass">
                <Columns>
                    <ig:BoundDataField DataFieldName="CategoryID" Key="CategoryID">
                        <Header Text="CategoryID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="CategoryName" Key="CategoryName">
                        <Header Text="CategoryName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Description" Key="Description">
                        <Header Text="Description">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Activation />
                    <ig:EditingCore BatchUpdating="true">
                        <Behaviors>
                            <ig:CellEditing EditModeActions-MouseClick="Single" EditCellCssClass="CellSelectorClass">
                                <ColumnSettings>
                                    <ig:EditingColumnSetting ColumnKey="Id" ReadOnly="true" />
                                    <ig:EditingColumnSetting ColumnKey="CategoryName" ReadOnly="true" />
                                </ColumnSettings>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                    <ig:Selection CellClickAction="Row" RowSelectType="Multiple" ColumnSelectType="Multiple" />
                    <ig:RowSelectors RowNumbering="true" HeaderRowSelectorCssClass="HeaderRowSelectorClass" RowSelectorCssClass="RowSelectorClass" />
                </Behaviors>
            </ig:WebDataGrid>
            <asp:SqlDataSource ID="SqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]"></asp:SqlDataSource>
            <style type="text/css">
                .HeaderCaptionClass {
                    text-align: center;
                    background-color: #c1cce2;
                    border: 1px solid black;
                }

                tbody.borderClass > tr > td {
                    border: 1px solid Black;
                }

                tbody > tr.AlternateItemClass {
                    background-color: #F5F5F5;
                }

                .CellSelectorClass {
                    text-align: right;
                }

                .HeaderRowSelectorClass {
                    width: 25px;
                }

                .RowSelectorClass {
                    width: 35px;
                    background-color: #c1cce2;
                    border: 1px solid black;
                }

                tbody > tr > td.Right {
                    text-align: right;
                }
            </style>
        </div>
    </form>
</body>
</html>
